post.hpp File Reference
`#include <algorithm>`
`#include <climits>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Linear::TermByView< View >
| Sort linear terms by view. More...
class | Gecode::Int::Linear::TermBySizePos< View >
| Sort linear terms by coefficient size and original position. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Linear
| Linear propagators

## Functions

template<class View>
void | Gecode::Int::Linear::estimate (Term< View > *t, int n, int c, int &l, int &u)
| Estimate lower and upper bounds.
int | Gecode::Int::Linear::gcd (int a, int b)
| Compute the greatest common divisor of a and b.
template<class View>
bool | Gecode::Int::Linear::normalize (Term< View > *t, int &n, Term< View > *&t_p, int &n_p, Term< View > *&t_n, int &n_n, int &g)
| Normalize linear integer constraints.